using BS.Shared;

namespace BeWo.Data.Entities
{
    public class ReportParameter : BeWoEntityBase
    {
        public static string PropertyName_Type = "Type";

        public static string PropertyName_Value = "Value";

        private ReportParameterType _Type;

        private string _Value;

        public ReportParameter()
        {
            this._Tid = TableID.ReportParameter;
        }

        public virtual ReportParameterType Type
        {
            get
            {
                return this._Type;
            }

            set
            {
                if (this.AreDifferent(this._Type, value))
                {
                    this._Type = value;
                }
            }
        }

        public virtual string Value
        {
            get
            {
                return this._Value;
            }

            set
            {
                if (this.AreDifferent(this._Value, value))
                {
                    this._Value = value;
                }
            }
        }
    }
}